controllers/CiclistaController.php
<?php

namespace app\controllers;

use app\models\Ciclista;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use yii\data\SqlDataProvider;

/**
 * CiclistaController implements the CRUD actions for Ciclista model.
 */
class CiclistaController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Ciclista models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'dorsal' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Ciclista model.
     * @param int $dorsal Dorsal
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($dorsal)
    {
        return $this->render('view', [
            'model' => $this->findModel($dorsal),
        ]);
    }

    /**
     * Creates a new Ciclista model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new Ciclista();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'dorsal' => $model->dorsal]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Ciclista model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param int $dorsal Dorsal
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($dorsal)
    {
        $model = $this->findModel($dorsal);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'dorsal' => $model->dorsal]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Ciclista model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param int $dorsal Dorsal
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($dorsal)
    {
        $this->findModel($dorsal)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Ciclista model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param int $dorsal Dorsal
     * @return Ciclista the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($dorsal)
    {
        if (($model = Ciclista::findOne(['dorsal' => $dorsal])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
    

}

views/dato/index.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'Datos';

?>

<div class="site-contact">
    <div class="jumbotron text-center bg-transparent">
        <h1 class="display-4">Maillots</h1>
    </div>
    <div class="body-content">
        <div class="row">
            <!-- Tarjeta 1 -->
            <div class="col-sm-6 col-md-4" style="padding-bottom: 15px">
                <div class="card" style="align-items: center">
                    
                    <?= Html::img("@web/images/foto.png",['class'=>"card-img-top"])?>
                    <p>Indícame el nombre de los ciclistas que el número de caracteres del nombre sea mayor que 8</p>
                    <p>
                        <?= Html::a('Editar',['site/ciclistasyequipos'],['class'=>'btn btn-primary'])?>
                        <?= Html::a('Eliminar',['ciclista/index'],['class'=>'btn btn-warning'])?>
                    </p>
                    
                </div>
            </div>
            <!-- Tarjeta 2 -->
            <div class="col-sm-6 col-md-4">
                <div class="card">
                    
                    <?= Html::img("@web/images/foto.png",['class'=>"card-img-top"])?>
                    <p>Indícame el nombre de los ciclistas que el número de caracteres del nombre sea mayor que 8</p>
                    <p>
                        <?= Html::a('Active Record',['site/consulta6a'],['class'=>'btn btn-primary'])?>
                        <?= Html::a('DAO',['site/consulta6'],['class'=>'btn btn-warning'])?>
                    </p>
                    
                </div>
            </div>
            <!-- Tarjeta 3 -->
            <div class="col-sm-6 col-md-4">
                <div class="card">
                    
                    <?= Html::img("@web/images/foto.png",['class'=>"card-img-top"])?>
                    <p>Indícame el nombre de los ciclistas que el número de caracteres del nombre sea mayor que 8</p>
                    <p>
                        <?= Html::a('Active Record',['site/consulta6a'],['class'=>'btn btn-primary'])?>
                        <?= Html::a('DAO',['site/consulta6'],['class'=>'btn btn-warning'])?>
                    </p>
                    
                </div>
            </div>
            <!-- Tarjeta 4 -->
            <div class="col-sm-6 col-md-4">
                <div class="card">
                    
                    <?= Html::img("@web/images/foto.png",['class'=>"card-img-top"])?>
                    <p>Indícame el nombre de los ciclistas que el número de caracteres del nombre sea mayor que 8</p>
                    <p>
                        <?= Html::a('Active Record',['site/consulta6a'],['class'=>'btn btn-primary'])?>
                        <?= Html::a('DAO',['site/consulta6'],['class'=>'btn btn-warning'])?>
                    </p>
                    
                </div>
            </div>
            <!-- Tarjeta 5 -->
            <div class="col-sm-6 col-md-4">
                <div class="card ">
                    
                    <?= Html::img("@web/images/foto.png",['class'=>"card-img-top"])?>
                    <p>Indícame el nombre de los ciclistas que el número de caracteres del nombre sea mayor que 8</p>
                    <p>
                        <?= Html::a('Active Record',['site/consulta6a'],['class'=>'btn btn-primary'])?>
                        <?= Html::a('DAO',['site/consulta6'],['class'=>'btn btn-warning'])?>
                    </p>
                    
                </div>
            </div>
            <!-- Tarjeta 6 -->
            <div class="col-sm-6 col-md-4">
                <div class="card">
                    
                    <?= Html::img("@web/images/foto.png",['class'=>"card-img-top"])?>
                    <p>Indícame el nombre de los ciclistas que el número de caracteres del nombre sea mayor que 8</p>
                    <p>
                        <?= Html::a('Active Record',['site/consulta6a'],['class'=>'btn btn-primary'])?>
                        <?= Html::a('DAO',['site/consulta6'],['class'=>'btn btn-warning'])?>
                    </p>
                    
                </div>
            </div>
        </div>
    </div>
</div>